2022-01-08 08:52:31 UTC
220 MB
true
DOLPHINSCHEDULER_HOME/opt/dolphinscheduler
JAVA_HOME/usr/local/openjdk-8
JAVA_VERSION8u312
LANGC.UTF-8
PATH/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TZAsia/Shanghai
[#000] sha256:72a69066d2febc34d8f3dbcb645f7b851a57e9681322ece7ad8007503b783c19 - 11.75% (25.9 MB)
[#001] sha256:b5c983bcc370920d99695dc288c345343be841987206e4ce762a4e7599f28c96 - 1.42% (3.12 MB)
[#002] sha256:0ffc6ac20cd8533d7d04760fd209378d44e47146260329ef2f2a99b5bd2dc165 - 0.0% (212 Bytes)
[#003] sha256:877da5312739a7da73a607d597b79307039a80cbe36fcddc2482dffb0d437689 - 18.03% (39.7 MB)
[#004] sha256:077ccc92d6f24d7349e0e02096a059629a074e1f4e9f6cbc0300d7a4756c04b7 - 0.0% (260 Bytes)
[#005] sha256:53ae3a58085b9b1ff2ab90d13c27e7de0e8a18c8c2e9a0c9c2ae6040675ce83e - 4.73% (10.4 MB)
[#006] sha256:aad3ffa72c59faf4442b02d55a91fb14a8e76d749754cba4bccdfa6f5e73cda5 - 64.06% (141 MB)
[#007] sha256:5cdf0848136a25141788b5ddade0d03fcbd4933e864c684ebe01a46aab040d8c - 0.0% (154 Bytes)
[#008] sha256:f573aab5553eee48b0f9c3478dc673759ac078a03de0a82af8fee5dd1189a152 - 0.0% (713 Bytes)
[#009] sha256:a688d07bc3e01be538db9dd8c7c880df1592e95ab5a83ef1764aef4d11340703 - 0.0% (2.26 KB)
[#010] sha256:f907cca5c17ce9f6f84c1851ffb701cc37c4c6f9fc738ba38180a8f936903cd7 - 0.0% (1.78 KB)
[#011] sha256:8d0b922acbda61de16d8d0687c2c1ae4df76ac426ee43da42d4d69ac825e8385 - 0.0% (5.03 KB)
[#012] sha256:2f1e1535146accc61d0fef17249a47b6eef735825eb760d4b577aaef2a8fde70 - 0.0% (1.77 KB)
[#013] sha256:1be65cd1566328a2c06bb71360d6ac5d8fd1894a75a06d1935ba06f0d7509943 - 0.0% (987 Bytes)
[#014] sha256:c987bca8b6cb125a68e2bfd077edd5316a96888211c9d1699149b20b0e98e7e0 - 0.0% (836 Bytes)
[#015] sha256:047ab12af52e95c8e76946fce8107d68df3e801f1edcc27d940c3894873e2142 - 0.0% (8.32 KB)
/bin/sh -c #(nop) ADD file:bd5c9e0e0145fe33beee9d73615cc89b5c5459bb84ea164cb1bbd8c999f0c2e4 in /
2021-12-21 01:23:04 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-12-21 22:58:35 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*
2021-12-21 23:06:58 UTC/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-8
2021-12-21 23:06:59 UTC/bin/sh -c { echo '#/bin/sh'; echo 'echo "$JAVA_HOME"'; } > /usr/local/bin/docker-java-home && chmod +x /usr/local/bin/docker-java-home && [ "$JAVA_HOME" = "$(docker-java-home)" ] # backwards compatibility
2021-12-21 23:06:59 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-12-21 23:06:59 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-12-21 23:07:00 UTC/bin/sh -c #(nop) ENV JAVA_VERSION=8u312
2021-12-21 23:08:48 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jre_x64_linux_8u312b07.tar.gz'; ;; 'arm64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jre_aarch64_linux_8u312b07.tar.gz'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends dirmngr gnupg wget ; rm -rf /var/lib/apt/lists/*; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; wget --progress=dot:giga -O openjdk.tgz.asc "$downloadUrl.sign"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys EAC843EBD3EFDB98CC772FADA5CD6035332FA671; gpg --batch --keyserver keyserver.ubuntu.com --keyserver-options no-self-sigs-only --recv-keys CA5F11C6CE22644D42C6AC4492EF8D39DC13168F; gpg --batch --list-sigs --keyid-format 0xLONG CA5F11C6CE22644D42C6AC4492EF8D39DC13168F | tee /dev/stderr | grep '0xA5CD6035332FA671' | grep 'Andrew Haley'; gpg --batch --verify openjdk.tgz.asc openjdk.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME"; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -version
2022-01-08 08:52:10 UTC (buildkit.dockerfile.v0)ARG VERSION
2022-01-08 08:52:10 UTC (buildkit.dockerfile.v0)ARG DEBIAN_FRONTEND=noninteractive
2022-01-08 08:52:10 UTC (buildkit.dockerfile.v0)ENV TZ=Asia/Shanghai
2022-01-08 08:52:10 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2022-01-08 08:52:10 UTC (buildkit.dockerfile.v0)ENV DOCKER=true
2022-01-08 08:52:10 UTC (buildkit.dockerfile.v0)ENV DOLPHINSCHEDULER_HOME=/opt/dolphinscheduler
2022-01-08 08:52:10 UTC (buildkit.dockerfile.v0)RUN |2 VERSION=2.0.2 DEBIAN_FRONTEND=noninteractive /bin/sh -c { echo "deb http://mirrors.tuna.tsinghua.edu.cn/debian/ buster main contrib non-free"; echo "deb http://mirrors.tuna.tsinghua.edu.cn/debian/ buster-updates main contrib non-free"; echo "deb http://mirrors.tuna.tsinghua.edu.cn/debian/ buster-backports main contrib non-free"; echo "deb http://mirrors.tuna.tsinghua.edu.cn/debian-security buster/updates main contrib non-free"; } > /etc/apt/sources.list # buildkit
2022-01-08 08:52:30 UTC (buildkit.dockerfile.v0)RUN |2 VERSION=2.0.2 DEBIAN_FRONTEND=noninteractive /bin/sh -c apt-get update && apt-get install -y --no-install-recommends tzdata dos2unix python supervisor procps psmisc netcat sudo tini && echo "Asia/Shanghai" > /etc/timezone && rm -f /etc/localtime && dpkg-reconfigure tzdata && rm -rf /var/lib/apt/lists/* /tmp/* # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)ADD ./apache-dolphinscheduler-2.0.2-bin.tar.gz /opt/ # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)RUN |2 VERSION=2.0.2 DEBIAN_FRONTEND=noninteractive /bin/sh -c ln -s -r /opt/apache-dolphinscheduler-${VERSION}-bin /opt/dolphinscheduler # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)WORKDIR /opt/apache-dolphinscheduler-2.0.2-bin
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)COPY ./checkpoint.sh /root/checkpoint.sh # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)COPY ./startup-init-conf.sh /root/startup-init-conf.sh # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)COPY ./startup.sh /root/startup.sh # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)COPY ./conf/dolphinscheduler/*.tpl /opt/dolphinscheduler/conf/ # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)COPY ./conf/dolphinscheduler/logback/* /opt/dolphinscheduler/conf/ # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)COPY ./conf/dolphinscheduler/supervisor/supervisor.ini /etc/supervisor/conf.d/ # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)COPY ./conf/dolphinscheduler/env/dolphinscheduler_env.sh.tpl /opt/dolphinscheduler/conf/env/ # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)RUN |2 VERSION=2.0.2 DEBIAN_FRONTEND=noninteractive /bin/sh -c sed -i 's/*.conf$/*.ini/' /etc/supervisor/supervisord.conf && dos2unix /root/checkpoint.sh && dos2unix /root/startup-init-conf.sh && dos2unix /root/startup.sh && dos2unix /opt/dolphinscheduler/script/*.sh && dos2unix /opt/dolphinscheduler/bin/*.sh && chmod 755 -R /opt/dolphinscheduler/bin/*.sh && chmod 755 -R /opt/dolphinscheduler/script/*.sh && rm -f /bin/sh && ln -s /bin/bash /bin/sh && mkdir -p /tmp/xls && echo PS1=\'\\w \\$ \' >> ~/.bashrc && echo "Set disable_coredump false" >> /etc/sudo.conf # buildkit
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)EXPOSE map[1234/tcp:{} 12345/tcp:{} 50051/tcp:{} 50052/tcp:{} 5678/tcp:{}]
2022-01-08 08:52:31 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/root/startup.sh"]
2022-01-08 08:52:58 UTC
218 MB
true
DOLPHINSCHEDULER_HOME/opt/dolphinscheduler
JAVA_HOME/usr/local/openjdk-8
JAVA_VERSION8u312
LANGC.UTF-8
PATH/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TZAsia/Shanghai
[#000] sha256:753408153c81560bc4244b14524c404cbf483c8afa8ac924272545400536a9d8 - 11.34% (24.7 MB)
[#001] sha256:f6c74145b5f237a66007b7c0d55f2ffe3d54c07bf5e09c19bebd4ec94b00005e - 1.36% (2.97 MB)
[#002] sha256:ec5a64f9e09bf5bbdf26b892c5bacd5044ec38e086b21b62ce180d82f8d53cda - 0.0% (212 Bytes)
[#003] sha256:0f9e88f50a08da25186c1d8c6c2126aa49deb742916d346aa75fb34d451eb34e - 17.79% (38.8 MB)
[#004] sha256:904c6a95f537a987000a04580c824defdb054f0b6ac4dcb34e751ca971ffe7a0 - 0.0% (260 Bytes)
[#005] sha256:b0b46790fb8da4210527a39d1da756eb6e8dd01953d983ed796f913cd379f3f7 - 4.77% (10.4 MB)
[#006] sha256:86e6415b84a359ffe79853d9000ad01d7905fc723bd06ed2ccf8e9b26ed7cbc6 - 64.73% (141 MB)
[#007] sha256:cb1273936675d4340b83545034c314683f0a88f2c759953f145dce12a753686c - 0.0% (153 Bytes)
[#008] sha256:a7fe440d05664bc9975af8221010980582f69f66cd180c32e291da0bf8e676b7 - 0.0% (713 Bytes)
[#009] sha256:f452b5ce3e9b37a55e310f3142939be0efc0bd530d26ead68fb49395bd64d666 - 0.0% (2.26 KB)
[#010] sha256:c0fb0efbfc7307b31bc0107b79bc32c21a580f5243a1136457cd528a8eea026d - 0.0% (1.78 KB)
[#011] sha256:fcfe2adaae25ef5ab1109de374c37df8c971f3a7bddd2f25d96a4ac85386cc27 - 0.0% (5.03 KB)
[#012] sha256:e1426d1548594502b2467bc3f8ffd8d84e6367171d7e91a966ee7415686479a0 - 0.0% (1.77 KB)
[#013] sha256:184f0f928999e3652297e284733b650015983c085c6a78c15cb52eab38c3daa9 - 0.0% (990 Bytes)
[#014] sha256:4e4713e1da5de12a5c66661dd91b4a9afaa9eb2195f217ed3911dc95df90eafe - 0.0% (834 Bytes)
[#015] sha256:9bdb1a555cef3d646fdc1bc34ac317b658d94ce489f6ba4c81a25c66013764dc - 0.0% (8.32 KB)
/bin/sh -c #(nop) ADD file:9810440ab841e71bd153282c21cfcd46d3f40bd5099e60c332e05bf066e390ac in /
2021-12-21 01:42:49 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-12-21 02:54:43 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*
2021-12-21 03:05:28 UTC/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-8
2021-12-21 03:05:29 UTC/bin/sh -c { echo '#/bin/sh'; echo 'echo "$JAVA_HOME"'; } > /usr/local/bin/docker-java-home && chmod +x /usr/local/bin/docker-java-home && [ "$JAVA_HOME" = "$(docker-java-home)" ] # backwards compatibility
2021-12-21 03:05:30 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-12-21 03:05:31 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2021-12-21 03:05:32 UTC/bin/sh -c #(nop) ENV JAVA_VERSION=8u312
2021-12-21 03:07:02 UTC/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jre_x64_linux_8u312b07.tar.gz'; ;; 'arm64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jre_aarch64_linux_8u312b07.tar.gz'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends dirmngr gnupg wget ; rm -rf /var/lib/apt/lists/*; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; wget --progress=dot:giga -O openjdk.tgz.asc "$downloadUrl.sign"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys EAC843EBD3EFDB98CC772FADA5CD6035332FA671; gpg --batch --keyserver keyserver.ubuntu.com --keyserver-options no-self-sigs-only --recv-keys CA5F11C6CE22644D42C6AC4492EF8D39DC13168F; gpg --batch --list-sigs --keyid-format 0xLONG CA5F11C6CE22644D42C6AC4492EF8D39DC13168F | tee /dev/stderr | grep '0xA5CD6035332FA671' | grep 'Andrew Haley'; gpg --batch --verify openjdk.tgz.asc openjdk.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME"; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -version
2022-01-08 08:52:09 UTC (buildkit.dockerfile.v0)ARG VERSION
2022-01-08 08:52:09 UTC (buildkit.dockerfile.v0)ARG DEBIAN_FRONTEND=noninteractive
2022-01-08 08:52:09 UTC (buildkit.dockerfile.v0)ENV TZ=Asia/Shanghai
2022-01-08 08:52:09 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2022-01-08 08:52:09 UTC (buildkit.dockerfile.v0)ENV DOCKER=true
2022-01-08 08:52:09 UTC (buildkit.dockerfile.v0)ENV DOLPHINSCHEDULER_HOME=/opt/dolphinscheduler
2022-01-08 08:52:09 UTC (buildkit.dockerfile.v0)RUN |2 VERSION=2.0.2 DEBIAN_FRONTEND=noninteractive /bin/sh -c { echo "deb http://mirrors.tuna.tsinghua.edu.cn/debian/ buster main contrib non-free"; echo "deb http://mirrors.tuna.tsinghua.edu.cn/debian/ buster-updates main contrib non-free"; echo "deb http://mirrors.tuna.tsinghua.edu.cn/debian/ buster-backports main contrib non-free"; echo "deb http://mirrors.tuna.tsinghua.edu.cn/debian-security buster/updates main contrib non-free"; } > /etc/apt/sources.list # buildkit
2022-01-08 08:52:57 UTC (buildkit.dockerfile.v0)RUN |2 VERSION=2.0.2 DEBIAN_FRONTEND=noninteractive /bin/sh -c apt-get update && apt-get install -y --no-install-recommends tzdata dos2unix python supervisor procps psmisc netcat sudo tini && echo "Asia/Shanghai" > /etc/timezone && rm -f /etc/localtime && dpkg-reconfigure tzdata && rm -rf /var/lib/apt/lists/* /tmp/* # buildkit
2022-01-08 08:52:57 UTC (buildkit.dockerfile.v0)ADD ./apache-dolphinscheduler-2.0.2-bin.tar.gz /opt/ # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)RUN |2 VERSION=2.0.2 DEBIAN_FRONTEND=noninteractive /bin/sh -c ln -s -r /opt/apache-dolphinscheduler-${VERSION}-bin /opt/dolphinscheduler # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)WORKDIR /opt/apache-dolphinscheduler-2.0.2-bin
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)COPY ./checkpoint.sh /root/checkpoint.sh # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)COPY ./startup-init-conf.sh /root/startup-init-conf.sh # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)COPY ./startup.sh /root/startup.sh # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)COPY ./conf/dolphinscheduler/*.tpl /opt/dolphinscheduler/conf/ # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)COPY ./conf/dolphinscheduler/logback/* /opt/dolphinscheduler/conf/ # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)COPY ./conf/dolphinscheduler/supervisor/supervisor.ini /etc/supervisor/conf.d/ # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)COPY ./conf/dolphinscheduler/env/dolphinscheduler_env.sh.tpl /opt/dolphinscheduler/conf/env/ # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)RUN |2 VERSION=2.0.2 DEBIAN_FRONTEND=noninteractive /bin/sh -c sed -i 's/*.conf$/*.ini/' /etc/supervisor/supervisord.conf && dos2unix /root/checkpoint.sh && dos2unix /root/startup-init-conf.sh && dos2unix /root/startup.sh && dos2unix /opt/dolphinscheduler/script/*.sh && dos2unix /opt/dolphinscheduler/bin/*.sh && chmod 755 -R /opt/dolphinscheduler/bin/*.sh && chmod 755 -R /opt/dolphinscheduler/script/*.sh && rm -f /bin/sh && ln -s /bin/bash /bin/sh && mkdir -p /tmp/xls && echo PS1=\'\\w \\$ \' >> ~/.bashrc && echo "Set disable_coredump false" >> /etc/sudo.conf # buildkit
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)EXPOSE map[1234/tcp:{} 12345/tcp:{} 50051/tcp:{} 50052/tcp:{} 5678/tcp:{}]
2022-01-08 08:52:58 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/root/startup.sh"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.